{% extends 'base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% block content %}
{% block page_heading %}
{% endblock %}

<div class="uk-section uk-width-1-1 uk-padding-remove-top uk-flex uk-flex-center">
    <div class="hidden-data">
        <span id="group-id" data-group-id="{{ group.id }}">{{ group.id }}</span>
        <span id="group-date" data-date></span>
        <span id="user-id" data-user-id></span>
    </div>
    <div class="uk-container  uk-height-1-1 addPage">
        <div class="uk-flex uk-flex-left uk-width-1-1 ">
            <h2 class="uk-text-lead uk-margin-remove"><b>{{ group.name }}: </b>{{ training_days.begin_time }} -
                {{ training_days.end_time }}</h2>
            <h2 class="uk-text-lead uk-margin-remove-bottom uk-margin-remove-top uk-margin-left"><b>Тренер:</b>
                {{group.tutor}}</h2>
        </div>
        <hr class="uk-divider-icon uk-width-1-1">
        <h3 class="uk-margin-remove">Посетили:</h3>
        <div class="uk-container uk-width-1-1 uk-margin-top uk-margin-bottom">
            <table class="uk-table uk-table-divider uk-width-1-1 uk-table-middle tableVisit">
                <thead>
                <tr>
                    <th>ФИО</th>
                    <th>Тип</th>
                    <th>Осталось</th>
                    <th>Конец</th>
                    <th>Действие</th>
                </tr>
                </thead>

                <tbody id="visit-table">

                </tbody>
            </table>

        </div>

        <h3 class="uk-margin-remove uk-margin-top">Предварительная запись:</h3>
        <div class="uk-container uk-width-1-1 uk-margin-top">
            <table class="uk-table uk-table-divider uk-width-1-1 uk-table-middle  tableVisit">
                <thead>
                <tr>
                    <th>ФИО</th>
                    <th>Дата</th>
                    <th>Действие</th>
                </tr>
                </thead>

                <tbody id="pre-entry-table">
                </tbody>
            </table>
        </div>

        <hr class="uk-divider-icon uk-width-1-1">


        <div class="uk-container uk-width-1-1 uk-margin-top uk-flex uk-flex-between">
            <div class="uk-width-1-3">
                <select id="search-select" class="js-user-search uk-width-1-1" name="state">
                </select>
            </div>

            <div class="uk-width-2-3 uk-flex uk-margin-left bottom-buttons">
                <button class="uk-button uk-button-primary uk-button-small light-green" type="button"
                        uk-toggle="target: #buy-all">абонемент
                </button>
                <button class="uk-button uk-button-secondary uk-button-small dark-blue" type="button"
                        uk-toggle="target: #buy-single">одно занятие
                </button>
                <button class="uk-button uk-button-danger uk-button-small btnYellow dark-green" type="button"
                        id="search-pre">Предварительная
                </button>
                <button class="uk-button uk-button-danger uk-button-small btnGreen" type="button" id="search-visit">
                    Посещение
                </button>
            </div>

        </div>

    </div>
</div>

<!-- This is the modal for subscription -->
<div id="buy-all" uk-modal>
    <div class="uk-modal-dialog uk-modal-body">
        <button class="uk-modal-close-default" type="button" uk-close></button>

        <h2 class="uk-modal-title">абонемент</h2>
    </div>
</div>

<!-- This is the modal for single  -->
<div id="buy-single" uk-modal>

    <div class="uk-modal-dialog uk-modal-body">
        <button class="uk-modal-close-default" type="button" uk-close></button>
        <h2 class="uk-modal-title">одно занятие</h2>
        {% include 'sales/one_visit_sale.html' with create_form=sale_form %}
        <div class="d-flex justify-content-end">
            <button type="button" onclick="closeModal()" class="btn btn-secondary">Закрыть</button>
            <button type="submit" id="create-submit" form="create-form" class="btn btn-primary">Сохранить</button>
        </div>
    </div>
</div>

<!-- Maks code the same like my JavaScript-->

<!--<link rel="stylesheet" href="{% static 'select2/css/select2.css' %}">-->
<!--<script type="application/javascript" src="{% static 'select2/js/select2.full.js' %}"></script>-->
<link rel="stylesheet" href="{% static 'select2/bootstrap/select2-bootstrap.css' %}">
<link rel="stylesheet" href="{% static 'custom/css/bootstrap-multiselect.css' %}">

{{ block.super }}
{% endblock %}

{% block custom_includes %}
<script src="{% static 'assets/tobuild/js/moment.js' %}"></script>
<script src="{% static 'assets/tobuild/js/addVisit.js' %}"></script>

{{ block.super }}

<!--<script src="{% static 'sb_admin/vendor/jquery/jquery.min.js' %}"></script>-->
<!--<script src="{% static 'sb_admin/vendor/bootstrap/js/bootstrap.bundle.min.js' %}"></script>-->

<script src="{% static 'custom/js/miltiplyCheckboxesChoice.js' %}"></script>
<script type="application/javascript" src="{% static 'custom/js/disable_numberfield_scroll.js' %}"></script>

<script src="{% static 'custom/js/bootstrap-multiselect.js' %}"></script>

<script src="https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/js/select2.min.js"></script>

<script src="{% static 'custom/js/sales/formLogic_one_time_visits.js' %}"></script>

<script>
    $(document).ready(function () {
        $('.js-user-search').select2();

        // Форма продажи одноразового занятия, значения по умолчанию
        // Установить количество групп на "ВСЕ"
        $('#id_abonement_group_count').val('ALL').trigger('change')

        // Установить readonly поле клиента
        $('#id_client').attr('disabled', true);


    });

    // Форма продажи одноразового занятия
    // Оповещения формы о изменении инпута
    $('#search-select').change(function(){
      $('#id_client').val(this.value)
    })

    function closeModal(){
      let closeElem = document.getElementsByClassName('uk-modal-close-default uk-icon uk-close')
      closeElem[1].click()
    }

</script>


{% endblock %}

{% block global_includes %}
    {% include 'sales/override_glob_includes.html' %}
{% endblock %}